This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 507023

Summary: use of yelp triggered SELinux error message
Product: [Fedora] Fedora Reporter: lmerithew
Component: yelpAssignee: Matthew Barnes <mbarnes>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: andrew.vandever, biggest65, dwalsh, faithinfamilies, mbarnes, mcepl, tc
Target Milestone: ---Keywords: SELinux
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 09:10:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description lmerithew 2009-06-19 17:17:03 EDT
Description of problem:
The yelp application attempted to change the access protection of memory (e.g., allocated using malloc). This is a potential security problem. Applications should not be doing this. Applications are sometimes coded incorrectly and request this permission. The SELinux Memory Protection Tests web page explains how to remove this requirement. If yelp does not work and you need it to work, you can configure SELinux temporarily to allow this access until the application is fixed. Please file a bug report against this package. 
(Copy/paste of SELinux message)

Version-Release number of selected component (if applicable):
Source RPM Packages:  yelp-2.26.0-3.fc11


How reproducible:
uncertain (don't remember what package update/search I was performing at the time)


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Fix Command
chcon -t unconfined_execmem_exec_t '/usr/bin/yelp'

Additional Information
Source Context:  unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023
Target Context:  unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023
Target Objects:  None [ process ]
Source:  yelp
Source Path:  /usr/bin/yelp
Port:  <Unknown>
Source RPM Packages:  yelp-2.26.0-3.fc11
Target RPM Packages:  
Policy RPM:  selinux-policy-3.6.12-39.fc11
Selinux Enabled:  True
Policy Type:  targeted
MLS Enabled:  True
Enforcing Mode:  Enforcing
Plugin Name:  allow_execmem
Platform:  Linux  2.6.29.4-167.fc11.i586 #1 
SMP Wed May 27 17:14:37 EDT 2009 i686 i686
Alert Count:  4
First Seen:  Thu 18 Jun 2009 10:39:25 PM EDT
Last Seen:  Thu 18 Jun 2009 10:39:25 PM EDT
Local ID:  ******
Line Numbers: 
 
Raw Audit Messages :
node=******** type=AVC msg=audit(1245379165.512:38131): avc: denied { execmem } for pid=2844 comm="yelp" scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=process node=******* type=SYSCALL msg=audit(1245379165.512:38131): arch=40000003 syscall=192 success=no exit=-13 a0=0 a1=2000 a2=7 a3=22 items=0 ppid=1 pid=2844 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=2 comm="yelp" exe="/usr/bin/yelp" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)

(Above additional info is copy/paste of SELinux message, with potential identifying information redacted)
Comment 1 Matthew Barnes 2009-06-28 23:51:36 EDT
*** Bug 508122 has been marked as a duplicate of this bug. ***
Comment 2 Daniel Walsh 2009-08-18 08:37:07 EDT
yelp should not require this permission

http://people.redhat.com/~drepper/selinux-mem.html
Comment 3 Matthew Barnes 2009-08-23 13:22:00 EDT
*** Bug 518850 has been marked as a duplicate of this bug. ***
Comment 4 Matthew Barnes 2009-10-27 19:42:17 EDT
*** Bug 524762 has been marked as a duplicate of this bug. ***
Comment 5 Matthew Barnes 2009-10-27 19:42:28 EDT
*** Bug 528180 has been marked as a duplicate of this bug. ***
Comment 6 Matthew Barnes 2009-10-27 19:42:50 EDT
*** Bug 530927 has been marked as a duplicate of this bug. ***
Comment 7 Matěj Cepl 2009-11-17 05:38:11 EST
There is nothing to triage here.

Switching to ASSIGNED so that developers have responsibility to do whatever they want to do with it.
Comment 8 Bug Zapper 2010-04-27 11:06:22 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-06-28 09:10:13 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.